> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cutmeshort.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a list of domains

> Returns all domains in a workspace with filter support and pagination



## OpenAPI

````yaml get /customDomain
openapi: 3.0.1
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.cme.sh
security:
  - bearerAuth: []
paths:
  /customDomain:
    get:
      description: Returns all domains in a workspace with filter support and pagination
      parameters:
        - name: workspaceId
          in: query
          description: The Id of the workspace
          schema:
            type: string
            description: The Id of the workspace.
            example: d7sfsfffusf6tss
          required: true
        - name: pageSize
          in: query
          description: Number of domains in a page. Defaults to `10`
          schema:
            type: integer
            format: int32
            description: Number of domains in a page. Defaults to `10`
            default: 10
        - name: cursor
          in: query
          description: Cursor. Defaults to `0`
          schema:
            type: integer
            format: int32
            description: Cursor. Defaults to `0`
            default: 0
        - name: orderType
          in: query
          description: >-
            Order in which data is returned. With options `asc` and `desc`.
            Defaults to `desc`
          schema:
            type: string
            description: >-
              Order in which data is returned. With options `asc` and `desc`.
              Defaults to `desc`
            default: desc
        - name: orderBy
          in: query
          description: Field on which data is ordered. Defaults to `createdDate`
          schema:
            type: string
            description: Field on which data is ordered. Defaults to `createdDate`
            default: createdDate
      responses:
        '200':
          description: Custom domain response
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: boolean
                  data:
                    type: object
                    properties:
                      pageInfo:
                        type: object
                        properties:
                          cursor:
                            type: integer
                          hasNext:
                            type: boolean
                          pageNumber:
                            type: integer
                          pageSize:
                            type: integer
                          totalCount:
                            type: integer
                          totalPages:
                            type: integer
                      list:
                        type: array
                        items:
                          $ref: '#/components/schemas/CustomDomain'
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    CustomDomain:
      type: object
      properties:
        _id:
          type: string
          description: >-
            The unique identifier of the custom domain in ObjectId format,
            similar to MongoDB's ObjectId
          pattern: ^[0-9a-fA-F]{24}$
        workspaceId:
          type: string
          description: The ID of the workspace associated with the custom domain
        domain:
          type: string
          description: The domain name
        isSubDomain:
          type: boolean
          description: Indicates if the domain is a subdomain
        domainSetupped:
          type: boolean
          description: Indicates if the domain setup is completed
        dnsConfigured:
          type: boolean
          description: Indicates if DNS is configured for the domain
        sslConfigured:
          type: boolean
          description: Indicates if SSL is configured for the domain
        pingVerified:
          type: boolean
          description: Indicates if ping is verified for the domain
        nameservers:
          type: array
          items:
            type: string
          description: Nameservers associated with the domain
        registrarName:
          type: string
          description: Name of the domain registrar
        registrarWebsite:
          type: string
          description: Website of the domain registrar
        deleteDomain:
          type: boolean
          description: Indicates if the domain can be deleted
        domainConfig:
          type: object
          properties:
            httpToHttps:
              type: boolean
              description: Indicates if HTTP to HTTPS redirection is enabled
        createdDate:
          type: string
          format: date-time
          description: The date when the custom domain was created
        configDetails:
          type: object
          properties:
            mandatory:
              type: object
              properties:
                pointsTo:
                  type: string
                  description: Points to IP address
                recordType:
                  type: string
                  description: Type of DNS record
                hostname:
                  type: string
                  description: Hostname
    Error:
      type: object
      properties:
        status:
          type: boolean
          description: Indicates the status of the error response
        errors:
          type: array
          items:
            type: object
            properties:
              code:
                type: string
                description: Error code
              errorMessage:
                type: string
                description: Error message
            required:
              - code
              - errorMessage
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````